#
# spec file for package texlive-cjk-latex-extras
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           texlive-cjk-latex-extras
BuildRequires:  texlive
%if 0%{?suse_version} < 1300
BuildRequires:  texlive-bin
%endif
PreReq:         /bin/mkdir
PreReq:         /bin/rm
PreReq:         /usr/bin/touch
PreReq:         /usr/bin/updmap
BuildRequires:  texlive-ttfutils-bin
Requires:       /usr/bin/ttf2tfm
Requires:       texlive-cjk
Requires:       texlive-latex
Obsoletes:      cjk-latex
Obsoletes:      cjk-latex-han-300
Obsoletes:      cjk-latex-han-600
Obsoletes:      cjk-latex-han-tfmvf
Obsoletes:      cjk-latex-han1-300
Obsoletes:      cjk-latex-han1-600
Obsoletes:      cjk-latex-han1-tfmvf
Obsoletes:      cjk-latex-hbf-cns40-1
Obsoletes:      cjk-latex-hbf-cns40-2
Obsoletes:      cjk-latex-hbf-cns40-3
Obsoletes:      cjk-latex-hbf-cns40-4
Obsoletes:      cjk-latex-hbf-cns40-5
Obsoletes:      cjk-latex-hbf-cns40-6
Obsoletes:      cjk-latex-hbf-cns40-7
Obsoletes:      cjk-latex-hbf-cns40-b5
Obsoletes:      cjk-latex-hbf-hanja65
Obsoletes:      cjk-latex-hbf-jfs56
Obsoletes:      cjk-latex-hbf-jisksp40
Obsoletes:      cjk-latex-hbf-kanji48
Obsoletes:      cjk-latex-tfm-arphic-bkai00mp
Obsoletes:      cjk-latex-tfm-arphic-bsmi00lp
Obsoletes:      cjk-latex-tfm-arphic-gbsn00lp
Obsoletes:      cjk-latex-tfm-arphic-gkai00mp
Obsoletes:      cjk-latex-tfm-baekmuk
Obsoletes:      cjk-latex-tfm-bitstream-cyberbit
Obsoletes:      cjk-latex-tfm-kochi-gothic
Obsoletes:      cjk-latex-tfm-kochi-mincho
Obsoletes:      cjk-latex-tfm-microsoft-japanese
Obsoletes:      cjk-latex-tfm-xtt-fonts
Obsoletes:      cjk-latex-wadalab-gothic
Obsoletes:      cjk-latex-wadalab-maru
Obsoletes:      cjk-latex-wadalab-maru2
Obsoletes:      cjk-latex-wadalab-mincho
Obsoletes:      cjk-latex-wadalab-mincho2
Provides:       locale(texlive-cjk:ja;ko;zh)
Version:        20070515
Release:        195.3
URL:            http://cjk.ffii.org/
Source0:        texlive-cjk-latex-extras-%{version}.tar.bz2
#PATCH-FIX-OPENSUSE texlive-cjk-latex-extras-bsc1159111-avoid-usage-safe-rm.patch bsc#1159111 qzhao@suse.com -- replace safe-rm to avoid security risks.
Patch0:         texlive-cjk-latex-extras-bsc1159111-avoid-usage-safe-rm.patch
# PATCH-FIX-OPENSUSE texlive-no-freetype.patch -- do not rely on freetype1; the needed tools have moved out of there in 2012 already
Patch1:         texlive-no-freetype.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Extra fonts and scripts for CJK LaTeX
License:        GPL-2.0-or-later
Group:          Productivity/Publishing/TeX/Base

%description
This package contains some extra font setup files and scripts to
automatically generate fonts and setup files to use with CJK LaTeX.

%prep
%autosetup -p1

mv README.SuSE README.SUSE
find . -name CVS -type d | xargs rm -rf

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/latex
cp -a ./texinput $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/CJK
# install the scripts to generate tfm files and Type1 fonts from TrueType fonts:
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -p -m 755 cjk-latex-config     $RPM_BUILD_ROOT/usr/sbin/
install -p -m 755 cjk-latex-t1mapgen   $RPM_BUILD_ROOT/usr/sbin/
install -p -m 755 sfd2map              $RPM_BUILD_ROOT/usr/sbin/

%post
[ -x usr/bin/texhash ] && usr/bin/texhash
LC_ALL=POSIX /usr/sbin/cjk-latex-config
/usr/bin/updmap -sys --enable Map=wadalab.map
exit 0

%postun
[ -x usr/bin/texhash ] && usr/bin/texhash
exit 0

%files
%defattr(-, root, root)
%doc README.SUSE
%doc examples/
/usr/sbin/cjk-latex-config
/usr/sbin/cjk-latex-t1mapgen
/usr/sbin/sfd2map
%dir /usr/share/texmf/tex/
%dir /usr/share/texmf/tex/latex/
/usr/share/texmf/tex/latex/CJK

%changelog
* Thu Feb 29 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Wed Oct 11 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Do not rely on deprecated freetype1:
  + Add texlive-no-freetype.patch: change cjk-latex-config to
    verify the presence of /usr/bin/ttf2tfm instead of the
    freetype-tools package. ttf2tfm has ot actually been part of
    freetype-tools since Feb 2012 anymore.
  + Drop freetype-tools BuildRequires and Requires and add
    texlive-ttfutils-bin BuildRequires, resp. /usr/bin/ttf2tfm
    requires.
* Wed Oct 19 2022 Cliff Zhao <qzhao@suse.com>
- Add texlive-cjk-latex-extras-bsc1159111-avoid-usage-safe-rm.patch
  replace safe-rm to avoid security risks(bsc#1159111).
* Sat Oct 13 2018 Marguerite Su <i@marguerite.su>
- use `udpmap -sys` to fix %%post scriptlet for Tumbleweed
* Mon Nov 13 2017 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE, adhering to the correct
  spelling.
* Mon Aug  5 2013 ro@suse.de
- BuildRequire texlive-bin only for <= 12.3
* Tue Jun 19 2012 aj@suse.de
- Remove SuSEconfig.cjk-latex and run commadns from postinstall.
* Tue May 15 2007 mfabian@suse.de
- package renamed to texlive-cjk-latex-extras:
  The "texlive-cjk" package already contains most of the former
  "cjk-latex" package now. This new package contains the font
  setup files and automatic setup scripts from the former
  "cjk-latex" package which are not in the "texlive-cjk" package.
- remove symlinks from /usr/share/texmf/fonts/truetype to the
  .ttf font before recreating them in order to get the right
  symlinks after the move from  /usr/X11R6/lib/X11/fonts/truetype
  to /usr/share/fonts/truetype.
* Mon Nov 27 2006 mfabian@suse.de
- /usr/X11R6/lib/X11/fonts/truetype -> /usr/share/fonts/truetype
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(te_latex:ja;ko;zh)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 schwab@suse.de
- Don't strip binaries.
* Wed Mar  2 2005 mfabian@suse.de
- add latest patch from upstream.
* Mon Feb 28 2005 mfabian@suse.de
- add missing '-print0' to find in cjk-latex-t1mapgen.
* Fri Feb 25 2005 mfabian@suse.de
- add new .fd files to support the IPA fonts. Add examples.
* Thu Feb 24 2005 mfabian@suse.de
- improve /usr/sbin/cjk-latex-t1mapgen (do recursive remove
  securely, add call to texhash, exit when creating temporary file
  fails). Thanks to Werner Fink <werner@suse.de>
- remove cjk-latex.map in %%postun.
* Wed Feb 23 2005 mfabian@suse.de
- adapt directories in SuSEconfig.cjk-latex and cjk-latex-t1mapgen
  for tetex-3.0.
* Tue Feb 22 2005 ro@suse.de
- moved dvips config files for tetex-3.0
* Thu Oct 14 2004 mfabian@suse.de
- add new .fd files to support the Novell-ricoh-fonts. Add
  examples.
* Fri Oct  1 2004 mfabian@suse.de
- Add new .fd files to support the Sazanami fonts (which replaced
  the dropped Kochi fonts). Add some examples and update
  README.SuSE.
* Mon Apr 26 2004 mfabian@suse.de
- Bugzilla #39459: add new .fd files to support the Chinese
  "Founder" fonts. Add some examples and update README.SuSE
* Thu Aug 28 2003 mfabian@suse.de
- remove ttf fonts from neededforbuild.
* Tue Aug 26 2003 mfabian@suse.de
- add new option to explicitly enable smoothing of outlines to
  cjk-latex-config when generating Type1 fonts. Apparently too
  many fonts are broken and cause problems when smoothing is
  enabled. Therefore disable it by default and enable it only
  on specific request.
* Sun Aug 24 2003 mfabian@suse.de
- add new .fd files and examples for the Mika-Chan fonts.
* Thu Aug 21 2003 mfabian@suse.de
- make cjk-latex-t1mapgen 5 times faster by using one call to awk
  where a combination of grep and perl was used before.
* Mon Jun 16 2003 mfabian@suse.de
- update to 4.5.2.
- fix "directory now owned by any package".
* Fri May 16 2003 mfabian@suse.de
- fix file list.
* Tue Feb 18 2003 mfabian@suse.de
- update to 4.5.2rc
- remove hunk patching c42goth.fd (included upstream)
- delete only files, not the whole directory structure below
  /var/cache/fonts/pk/ at the end of cjk-latex-t1mapgen
- add a few more .fd files for the Arphic fonts in Bg5 and GB
  using the same font names as the already existing one in
  UTF8 do.
* Fri Sep 27 2002 mfabian@suse.de
- add new fd files for
  \begin{CJK}{JIS}{koti},
  \begin{CJK}{JIS}{kotir}
  \begin{CJK}{UTF8}{koti}
  \begin{CJK}{UTF8}{kotir}
  which use Kochi Mincho for medium and Kochi Gothic for bold.
- add "freetype-tools" to "Requires:". It is not absolutely
  necessary, there are some fonts which can be used with
  cjk-latex without freetype-tools, but almost all users will
  want to use TrueType fonts and I received a few bug reports
  from people who didn't read README.SuSE and didn't install
  "freetype-tools". It is probably better to require
  "freetype-tools".
* Thu Aug  1 2002 mfabian@suse.de
- add /bin/mkdir /bin/rm /usr/bin/touch to Prereq:
- fix directory where the autogenerated .tfm files are in
  postun
* Mon May 27 2002 meissner@suse.de
- make the helper programs live in a ANSI world where sizeof(int) !=
  sizeof(pointer), where prototypes matter and varargs are true monsters.
* Wed Apr 24 2002 mfabian@suse.de
- delete $map_file when create_or_update_type1 fails
* Tue Feb 26 2002 mfabian@suse.de
- disable smoothing of outlines in cjk-latex-config for broken
  fonts (like kochi-gothic.ttf) to prevent segfault in ttf2pt1
  when processing such fonts.
* Tue Feb 26 2002 mfabian@suse.de
- skip watanabe-mincho.ttf and wadalab-gothic.ttf when generating
  Type1 fonts, these fonts don't seem to work with ttf2pt1
- make /var/lib/texmf/dvips/config/cjk-latex.map an empty file if
  /usr/share/texmf/fonts/type1/cjk-latex doesn't exist.
* Mon Feb 25 2002 mfabian@suse.de
- fix sfd2map to make Type1 fonts work for UTF-8 as well.
* Mon Feb 25 2002 mfabian@suse.de
- add support for generation of Type1 fonts via ttf2pt1
  to cjk-latex-config
- add 'sfd2map' and 'cjk-latex-t1mapgen'
- call 'texhash' at the end of cjk-latex-config only when
  real work was done
- improve check method for out of date .tfm and .pfb files
* Mon Feb  4 2002 mfabian@suse.de
- add a call to 'texhash' to the start of cjk-latex-config to make
  sure ttf2tfm finds the .sfd files
- rename /usr/share/texmf/fonts/tfm/SuSEconfig.cjk-latex
  - > /usr/share/texmf/fonts/tfm/cjk-latex
- correct typo's in cjk-latex-config
* Mon Jan 14 2002 mfabian@suse.de
- add SuSEconfig.cjk-latex and /usr/sbin/cjk-latex-config
  to create the .tfm files automatically according to the
  entries in /etc/ttf2pk/ttfonts.map.
  All subpackages containing .tfm files generated from TT-fonts
  are therefore obsoleted.
* Sat Oct  6 2001 mfabian@suse.de
- update to the current snapshot (version 4.4.0, 20010731)
- add .fd files and .tfm files to support the use of several
  Japanese, Chinese, and Korean TrueType fonts in UTF-8 encoding
  as well.
- add examples for UTF-8, add UTF8-ja.{cap,cpx} for Japanese
  captions in UTF-8
- update README.SuSE
- include new binaries extconv, bg5+latex, and gbklatex
- include thai-word.el
* Tue Aug  7 2001 mfabian@suse.de
- added *.tfm and *.fd files for the free Japanese TrueType
  fonts kochi-mincho.ttf and kochi-gothic.ttf
  (ttf-kochi-mincho.rpm and ttf-kochi-gothic.rpm).
- added example file JIS-kochi.tex
- updated README.SuSE
* Sun Mar 11 2001 mfabian@suse.de
- add Requires:     tetex, te_latex
* Sat Mar  3 2001 schwab@suse.de
- Fix missing includes.
- Fix use of %%suse_update_config macro.
* Thu Feb 15 2001 mfabian@suse.de
- added *.tfm and *.fd files for the free Japanese TrueType
  fonts watanabe-mincho.ttf and wadalab-gothic.ttf (xtt-fonts.rpm)
- added example file JIS-xtt-fonts.tex
- updated README.SuSE
- added missing Wadalab.map and config.Wadalab to file list
* Sun Jan 21 2001 mfabian@suse.de
- added *.tfm and *.fd files for Baekmuk TrueType fonts
- added example file Baekmuk-test.tex
- updated README.SuSE
* Wed Dec  6 2000 mfabian@suse.de
- fixed typos in Example files
* Tue Dec  5 2000 mfabian@suse.de
- added Wadalab postscript fonts
* Wed Nov 22 2000 mfabian@suse.de
- new package: cjk-latex 4.2.0
